Subject: Re: [MonetDB-users] CRT and GKLoad errors
From: Florian Joßbächer <[email-masked]>
To: Communication channel for MonetDB users <[email-masked]>
Date: Mon, 08 Jun 2009 09:45:22 +0200 (CEST)
List-Id: Communication channel for MonetDB users <monetdb-users.lists.sourceforge.net>

Unfortunately the problem is not solved using the RC: I made two attempts and
both threw the well known server error message and this time the client
reports the problem as well:

Server:
# MonetDB server v5.12.0, based on kernel v1.30.0
# Serving database 'ssb', using 1 thread
# Compiled for i686-pc-win32/64bit with 32bit OIDs dynamically linked
# Copyright (c) 1993-July 2008 CWI.
# Copyright (c) August 2008-2009 MonetDB B.V., all rights reserved
# Visit http://monetdb.cwi.nl/ for further information
#warning: please don't forget to set your vault key!
#(see D:\MonetDB5_RC\etc\monetdb5.conf)
# Listening for connection requests on mapi:monetdb://CS-MONETDB:50000/
# MonetDB/SQL module v2.30.0 loaded

runtime error R6031
- Attempt to initialize the CRT more than once.
This indicates a bug in your application.
Press any key to continue . . .

Client:
sql>copy into lineorder from 'z:\\benchmarking\\ssb\\sf10\\lineorder.tbl'
using delimiters '|', '|\n';
MAPI  = monetdb@localhost:50000
ACTION= read_line
QUERY = copy into lineorder from 'z:\\benchmarking\\ssb\\sf10\\lineorder.tbl'
using delimiters '|', '|\n'
ERROR = Connection terminated
Timer  201100.508 msec 1 rows
Press any key to continue . . .

Any Ideas?

Regards,
Florian

Sjoerd Mullender schrieb am 2009-06-02:
> Florian Joßbächer wrote:
> > This time the loading seems to be ok (still running).

> This is good to hear.

> > But I've other problems instead:
> > 1. MonetDB always creates the databases in the folder
> > \Administrator\Application data although the config file declares
> > another
> > destination.

> I don't think this has ever worked on Windows.  When you start the
> server from the Start menu (or by calling the .bat script that the
> menu
> entry calls), the real server is started with a --dbfarm option which
> sets the database location.  This overrides the location given in the
> configuration file.  If you want to use a non-default location on
> Windows, you should either edit the M5server.bat script, or (better)
> create your own script that calls M5server.bat with a --dbfarm option
> (the later option will override the earlier command line option).

> > 2. I'm not able to connect via JDBC, an credential-exception is
> >    thrown. Have
> > you changed the default monetdb-user (monetdb/monetdb)?

> The client/server protocol was changed slightly.  You can't use older
> clients with the new server.

> You can (now) get the new JDBC driver from the same location.

> > Sjoerd Mullender schrieb am 2009-06-02:
> >> Florian Joßbächer wrote:
> >>> I'd love to, but I have not the permission to download the file.

> >> Now you do.  Sorry for that.

> >>> Sjoerd Mullender schrieb am 2009-06-02:
> >>>> Florian Joßbächer wrote:
> >>>>> Is it correct that the RC server version (5.10.0) is older than
> >>>>> the
> >>>>> one I
> >>>>> tried before (5.10.4)?

> >>>> No, that is not correct.  It should be 5.12.0.

> >>>> I just noticed that I copied the wrong files to the download
> >>>> area.
> >>>> Can
> >>>> you try it again, please?  The files should have 20090530 in the
> >>>> name.

> >>>>> Unfortunately the RC result looks pretty much the same, only
> >>>>> the
> >>>>> GKLoad-Errors
> >>>>> did not occur this time.

> >>>>> Do you have any other idea to fix this one?

> >>>>> Best regards

> >>>>> # MonetDB server v5.10.0, based on kernel v1.28.0
> >>>>> # Serving database 'ssb', using 1 thread
> >>>>> # Compiled for i686-pc-win32/64bit with 32bit OIDs dynamically
> >>>>>   linked
> >>>>> # Copyright (c) 1993-July 2008 CWI.
> >>>>> # Copyright (c) August 2008- MonetDB B.V., all rights reserved
> >>>>> # Visit http://monetdb.cwi.nl/ for further information
> >>>>> #warning: please don't forget to set your vault key!
> >>>>> #(see D:\MonetDB_RC\etc\monetdb5.conf)
> >>>>> # Listening for connection requests on
> >>>>>   mapi:monetdb://CS-MONETDB:50000/
> >>>>> # MonetDB/SQL module v2.28.0 loaded

> >>>>> runtime error R6031
> >>>>> - Attempt to initialize the CRT more than once.
> >>>>> This indicates a bug in your application.

> >>>>> Sjoerd Mullender schrieb am 2009-06-02:
> >>>>>> We're on the verge of releasing a new version of MonetDB.  We
> >>>>>> have
> >>>>>> fixed
> >>>>>> a bug very recently that looks like the problem you're having,
> >>>>>> so
> >>>>>> we
> >>>>>> would appreciate it if you can try out the candidate release
> >>>>>> to
> >>>>>> see
> >>>>>> if
> >>>>>> your problems disappear.

> >>>>>> The bug was that the data was read, but only the first 100000
> >>>>>> rows
> >>>>>> was
> >>>>>> saved to disk.  This would only happen if the total amount of
> >>>>>> data
> >>>>>> wasn't above some limit, since above that limit different code
> >>>>>> would
> >>>>>> have been used which didn't exhibit the bug.

> >>>>>> You will need to reload the data when you try the new version.

> >>>>>> We would of course appreciate feedback on this issue, and
> >>>>>> also,
> >>>>>> if
> >>>>>> it
> >>>>>> works, we would be interested in the benchmark results.

> >>>>>> You can find the candidate release at
> >>>>>> <http://homepages.cwi.nl/~sjoerd/downloads/release/>.

> >>>>>> Florian Joßbächer wrote:
> >>>>>>> Hi,

> >>>>>>> I am trying to run the Star Schema Benchmark with Scale
> >>>>>>> Factor
> >>>>>>> 10
> >>>>>>> on MonetDB
> >>>>>>> and get the following errors while loading the tables from a
> >>>>>>> csv.
> >>>>>>> The GKLoad-Errors occur just once in a while, the CRT-error
> >>>>>>> is
> >>>>>>> reproducible.
> >>>>>>> Every time I try to run SF10, the server crashes while
> >>>>>>> loading
> >>>>>>> the
> >>>>>>> lineorder-table (SF10) - with SF1 everything works fine. I
> >>>>>>> googled
> >>>>>>> this issue
> >>>>>>> but only found a hint deleting a registry-key which is not
> >>>>>>> existing
> >>>>>>> on my
> >>>>>>> machine.

> >>>>>>> What can I do?

> >>>>>>> Best regards,
> >>>>>>> Florian.

> >>>>>>> "# MonetDB server v5.10.4, based on kernel v1.28.4
> >>>>>>> # Serving database 'ssb', using 1 thread
> >>>>>>> # Compiled for i686-pc-win32/64bit with 32bit OIDs
> >>>>>>>   dynamically
> >>>>>>>   linked
> >>>>>>> # Copyright (c) 1993-July 2008 CWI.
> >>>>>>> # Copyright (c) August 2008-2009 MonetDB B.V., all rights
> >>>>>>>   reserved
> >>>>>>> # Visit http://monetdb.cwi.nl/ for further information
> >>>>>>> #warning: please don't forget to set your vault key!
> >>>>>>> #(see D:\MonetDB5\etc\monetdb5.conf)
> >>>>>>> # Listening for connection requests on
> >>>>>>>   mapi:monetdb://CS-MONETDB:50000/
> >>>>>>> # MonetDB/SQL module v2.28.4 loaded
> >>>>>>>> !ERROR: GDKload: cannot read: name=65\6560, ext=tail, 800000
> >>>>>>>> bytes
> >>>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3440) for
> >>>>>>> sys_customer_custkey
> >>>>>>> !ERROR: GDKload: cannot read: name=65\6547, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3431) for
> >>>>>>> sys_customer_name
> >>>>>>> !ERROR: GDKload: cannot read: name=65\6553, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3435) for
> >>>>>>> sys_customer_address
> >>>>>>> !ERROR: GDKload: cannot read: name=65\6554, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3436) for
> >>>>>>> sys_customer_city
> >>>>>>> !ERROR: GDKload: cannot read: name=65\6557, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3439) for
> >>>>>>> sys_customer_nation
> >>>>>>> !ERROR: GDKload: cannot read: name=66\6672, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3514) for
> >>>>>>> sys_customer_region
> >>>>>>> !ERROR: GDKload: cannot read: name=70\7067, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3639) for
> >>>>>>> sys_customer_phone
> >>>>>>> !ERROR: GDKload: cannot read: name=70\7070, ext=tail, 800000
> >>>>>>> bytes
> >>>>>>> missing.
> >>>>>>> !OS: The operation completed successfully.
> >>>>>>> !ERROR: logger: could not use bat (3640) for
> >>>>>>> sys_customer_mktsegment

> >>>>>>> runtime error R6031
> >>>>>>> - Attempt to initialize the CRT more than once.
> >>>>>>> This indicates a bug in your application."

> >>>>>>> ------------------------------------------------------------------------------
> >>>>>>> OpenSolaris 2009.06 is a cutting edge operating system for
> >>>>>>> enterprises
> >>>>>>> looking to deploy the next generation of Solaris that
> >>>>>>> includes
> >>>>>>> the
> >>>>>>> latest
> >>>>>>> innovations from Sun and the OpenSource community. Download a
> >>>>>>> copy
> >>>>>>> and
> >>>>>>> enjoy capabilities such as Networking, Storage and
> >>>>>>> Virtualization.
> >>>>>>> Go to: http://p.sf.net/sfu/opensolaris-get
> >>>>>>> _______________________________________________
> >>>>>>> MonetDB-users mailing list
> >>>>>>> [email-masked]
> >>>>>>> https://lists.sourceforge.net/lists/listinfo/monetdb-users

> >>>>> ------------------------------------------------------------------------------
> >>>>> OpenSolaris 2009.06 is a cutting edge operating system for
> >>>>> enterprises
> >>>>> looking to deploy the next generation of Solaris that includes
> >>>>> the
> >>>>> latest
> >>>>> innovations from Sun and the OpenSource community. Download a
> >>>>> copy
> >>>>> and
> >>>>> enjoy capabilities such as Networking, Storage and
> >>>>> Virtualization.
> >>>>> Go to: http://p.sf.net/sfu/opensolaris-get
> >>>>> _______________________________________________
> >>>>> MonetDB-users mailing list
> >>>>> [email-masked]
> >>>>> https://lists.sourceforge.net/lists/listinfo/monetdb-users

> >>> ------------------------------------------------------------------------------
> >>> OpenSolaris 2009.06 is a cutting edge operating system for
> >>> enterprises
> >>> looking to deploy the next generation of Solaris that includes
> >>> the
> >>> latest
> >>> innovations from Sun and the OpenSource community. Download a
> >>> copy
> >>> and
> >>> enjoy capabilities such as Networking, Storage and
> >>> Virtualization.
> >>> Go to: http://p.sf.net/sfu/opensolaris-get
> >>> _______________________________________________
> >>> MonetDB-users mailing list
> >>> [email-masked]
> >>> https://lists.sourceforge.net/lists/listinfo/monetdb-users

> > ------------------------------------------------------------------------------
> > OpenSolaris 2009.06 is a cutting edge operating system for
> > enterprises
> > looking to deploy the next generation of Solaris that includes the
> > latest
> > innovations from Sun and the OpenSource community. Download a copy
> > and
> > enjoy capabilities such as Networking, Storage and Virtualization.
> > Go to: http://p.sf.net/sfu/opensolaris-get
> > _______________________________________________
> > MonetDB-users mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/monetdb-users

------------------------------------------------------------------------------
OpenSolaris 2009.06 is a cutting edge operating system for enterprises 
looking to deploy the next generation of Solaris that includes the latest 
innovations from Sun and the OpenSource community. Download a copy and 
enjoy capabilities such as Networking, Storage and Virtualization. 
Go to: http://p.sf.net/sfu/opensolaris-get
_______________________________________________
MonetDB-users mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/monetdb-users